#!/usr/bin/php
<?php

set_include_path(get_include_path() . PATH_SEPARATOR . "/usr/local/mgr5/include/php");
define('__MODULE__', "pmpayanyway");
require_once 'bill_util.php';

header('Content-Type: text/html');
header('Cache-Control: no-cache, must-revalidate');
header('Expires: Sat, 26 Jul 1997 05:00:00 GMT');

$client_ip = ClientIp();
$param = CgiInput();

if ($param["auth"] == "")
{
	throw new Error("no auth info");
} else
{
	$info = LocalQuery("payment.info", array("elid" => $param["elid"]));
	$payment = (string)$info->payment[0];

	$MNT_ID = $info->payment->paymethod[1]->MNT_ID;
	$MNT_AMOUNT = $info->payment->paymethodamount;
	$MNT_TRANSACTION_ID = $info->payment->id;
	$MNT_CURRENCY_CODE = $info->payment->currency[1]->iso;
	$MNT_TEST_MODE = $info->payment->paymethod[1]->MNT_TEST_MODE ==
	'on' ? '1' : '0';
	$MNT_ASSISTANT_URL = 'https://www.payanyway.ru/assistant.htm';
//	$MNT_ASSISTANT_URL = 'http://localhost:8080/assistant.htm'; //TODO: remove this line for production ********
	$MNT_DESCRIPTION = $info->payment->description;
	$MNT_SECRET = $info->payment->paymethod[1]->MNT_SECRET;
	$MNT_SIGNATURE = md5($MNT_ID . $MNT_TRANSACTION_ID . $MNT_AMOUNT . $MNT_CURRENCY_CODE . $MNT_TEST_MODE . $MNT_SECRET);

	echo
		"<html>\n" .
		"<head>\n" .
		"<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />\n" .
		"<link rel='shortcut icon' href='billmgr.ico' type='image/x-icon' />\n" .
		"<script language='JavaScript'>function DoSubmit() { document.pawform.submit(); }</script>\n" .
		"</head><body onload='DoSubmit()'>\n" .
		"<form name='pawform' action='$MNT_ASSISTANT_URL' method='post'>\n" .
		"<input type='hidden' name='MNT_ID' value='$MNT_ID'>\n" .
		"<input type='hidden' name='MNT_AMOUNT' value='$MNT_AMOUNT'>\n" .
		"<input type='hidden' name='MNT_TRANSACTION_ID' value='$MNT_TRANSACTION_ID'>\n" .
		"<input type='hidden' name='MNT_CURRENCY_CODE' value='$MNT_CURRENCY_CODE'>\n" .
		"<input type='hidden' name='MNT_TEST_MODE' value='$MNT_TEST_MODE'>\n" .
		"<input type='hidden' name='MNT_DESCRIPTION' value='$MNT_DESCRIPTION'>\n" .
		"<input type='hidden' name='MNT_SIGNATURE' value='$MNT_SIGNATURE'>\n" .
		"</form></body></html>";
}
?>
